<?php

namespace App\Http\Resources;

class RevenueResource extends BaseResource
{
    public function toArray($request): array
    {
        return [
            'month' => $this->resource['month'] ?? null,
            'possible_revenue' => $this->resource['possible_revenue'] ?? null,
            'member_revenues' => $this->resource['member_revenues'] ?? [],
        ];
    }
}
